Subject: [PATCH] locking/osq: fix ordering of node initialisation in osq_lock

From: [email-masked] (Will Deacon)
Date: Thu, 17 Dec 2015 09:48:42 +0000

On Wed, Dec 16, 2015 at 05:18:48PM -0800, David Daney wrote:
> What is the status of this patch?  It there a good likelihood that it will
> make it into v4.4?
> 
> If not, we should request that c55a6ffa6285 ("locking/osq: Relax atomic
> semantics") be reverted for v4.4

I think Peter was going to send it to mingo as an urgent fix, but I've
not seen anything from the tip-bot yet.

Will